<ion-content class="page-background">
  <ion-grid no-padding *ngIf="selectedSubject.name === '' ">
    <ion-row>
      <ion-col>
        <ion-card (click)="selectSubject('Physics')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/physics.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Physics
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col>
        <ion-card (click)="selectSubject('Programming')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/prog.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Programming
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-card (click)="selectSubject('Mathematics')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/maths.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Mathematics
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col>
        <ion-card (click)="selectSubject('Chemistry')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/chemistry.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Chemistry
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-grid no-padding *ngIf="selectedSubject.name !== '' ">
    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              <ion-text color="primary">
                {{selectedSubject.name}}
              </ion-text>
            </ion-card-title>
          </ion-card-header>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-card *ngFor="let lecture of selectedSubject.lectures">
          <ion-card-content>
            <ion-grid no-padding>
              <ion-row (click)="alert()">
                <ion-col size="3">
                  <ion-img [src]="lecture.imgUrl" class="lecture-img"></ion-img>
                </ion-col>
                <ion-col>
                  <ion-row>
                    <ion-col>
                      <ion-card-title>
                        {{lecture.topic}}
                      </ion-card-title>
                    </ion-col>
                  </ion-row>
                  <ion-row>
                    <ion-col>
                      {{lecture.class}}
                    </ion-col>
                    <ion-col>
                      {{lecture.date}}
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
